aboutsummaryrefslogtreecommitdiffstats
path: root/x11/libxfcegui4/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-06-13 12:39:36 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-06-13 12:39:36 +0000
commitcf765ef915bb34b0623cb622b461e8dde424a588 (patch)
treee1329196ed1f484901928ae7fd9fcc6ce5b51f28 /x11/libxfcegui4/APKBUILD
parentc92d1ba9f238ed467e93509b5232f09ab13177d2 (diff)
downloadaports-cf765ef915bb34b0623cb622b461e8dde424a588.tar.gz
aports-cf765ef915bb34b0623cb622b461e8dde424a588.tar.bz2
aports-cf765ef915bb34b0623cb622b461e8dde424a588.tar.xz
x11/libxfcegui4: new aport
Diffstat (limited to 'x11/libxfcegui4/APKBUILD')
-rw-r--r--x11/libxfcegui4/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/x11/libxfcegui4/APKBUILD b/x11/libxfcegui4/APKBUILD
new file mode 100644
index 0000000000..1ae35f5522
--- /dev/null
+++ b/x11/libxfcegui4/APKBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxfcegui4
+pkgver=4.6.1
+pkgrel=0
+pkgdesc="Basic GUI functions for Xfce"
+url="http://www.xfce.org/"
+license="GPL2"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="pkgconfig intltool glib-dev gettext-dev libiconv-dev gtk+-dev
+ xfconf-dev libsm-dev libice-dev libglade-dev e2fsprogs-dev"
+source="http://www.xfce.org/archive/xfce-$pkgver/src/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib \
+ --localstatedir=/var \
+ --disable-static
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="539cff747634b8ee6f0d2362ee78a286 libxfcegui4-4.6.1.tar.bz2"